# Interface QualifiedNameable

All Superinterfaces:
  `AnnotatedConstruct, Element`

All Known Subinterfaces:
  `ModuleElement, PackageElement, TypeElement`

public interface QualifiedNameable extends Element
A mixin interface for an element that has a qualified name.

Since:
  1.7

## Method Summary

Modifier and Type
Method
Description
`Name`
`getQualifiedName()`
Returns the fully qualified name of an element.

### Methods declared in interface Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

## Method Details

### getQualifiedName

Name getQualifiedName()
Returns the fully qualified name of an element.

Returns:
  the fully qualified name of an element